Package org.jfree.layouting.renderer.border

## Class Border

- java.lang.Object
- - org.jfree.layouting.renderer.border.Border

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class Border
      extends java.lang.Object
      implements java.lang.Cloneable

  A border is a split-supporting component that contains five border edges (top,left, bottom, right, split). The split-border is not used for rendering, it is meant to replace the other borders on inner split-edges.

  The border object itself is immutable. During a split operation, new borders have to be created.

  The border-radius defines the corner-rounding that might take place. This defines the applicable background area of the content box. (Round rects never cause the background to overlap the border, the corner space that lies outside the rounded corners will not receive the background.)

  The radius *must* be normalized; the sum of the radius sizes for a single edge must not exceed the edge's total size. (Ex: height >= (topLeftRadius.getHeight() + bottomLeftRadius.getHeight()). If the height is smaller as the radius, reduce the radius until both sizes fit.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Border​(BorderEdge top, BorderEdge left, BorderEdge bottom, BorderEdge right, BorderEdge splittingEdge, BorderCorner topLeft, BorderCorner topRight, BorderCorner bottomLeft, BorderCorner bottomRight)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `static Border` | `createEmptyBorder​()` |
    `BorderEdge` | `getBottom​()` |
    `BorderCorner` | `getBottomLeft​()` |
    `BorderCorner` | `getBottomRight​()` |
    `BorderEdge` | `getLeft​()` |
    `BorderEdge` | `getRight​()` |
    `BorderEdge` | `getSplittingEdge​()` |
    `BorderEdge` | `getTop​()` |
    `BorderCorner` | `getTopLeft​()` |
    `BorderCorner` | `getTopRight​()` |
    `boolean` | `isEmpty​()` |
    `Border[]` | `splitHorizontally​(Border[] borders)` |
    `Border[]` | `splitVertically​(Border[] borders)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Border

          public Border​(BorderEdge top,
                        BorderEdge left,
                        BorderEdge bottom,
                        BorderEdge right,
                        BorderEdge splittingEdge,
                        BorderCorner topLeft,
                        BorderCorner topRight,
                        BorderCorner bottomLeft,
                        BorderCorner bottomRight)

  - ### Method Detail

    - #### getTop

          public BorderEdge getTop​()

    - #### getLeft

          public BorderEdge getLeft​()

    - #### getBottom

          public BorderEdge getBottom​()

    - #### getRight

          public BorderEdge getRight​()

    - #### getSplittingEdge

          public BorderEdge getSplittingEdge​()

    - #### getTopLeft

          public BorderCorner getTopLeft​()

    - #### getTopRight

          public BorderCorner getTopRight​()

    - #### getBottomLeft

          public BorderCorner getBottomLeft​()

    - #### getBottomRight

          public BorderCorner getBottomRight​()

    - #### splitVertically

          public Border[] splitVertically​(Border[] borders)

    - #### splitHorizontally

          public Border[] splitHorizontally​(Border[] borders)

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### createEmptyBorder

          public static Border createEmptyBorder​()

    - #### isEmpty

          public boolean isEmpty​()